<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="row">
    <div class="col-sm-3">
        <select class="form-control input-sm" ng-model="$ctrl.operator" ng-change="$ctrl.onChange()" required>
            <option value="_eq">=</option>
            <option value="_gt">&gt;</option>
            <option value="_gte">&gt;=</option>
            <option value="_lt">&lt;</option>
            <option value="_lte">&lt;=</option>
        </select>
    </div>
    <div class="col-sm-9">
        <input autofocus type="text" ui-mask="99:99:99" ui-mask-placeholder model-view-value="true" ui-mask-placeholder-char="_" ng-change="$ctrl.onChange()" class="form-control input-sm" ng-model="$ctrl.value" ng-model-options="{ allowInvalid: false, debounce: 500 }" required empty-to-null>
    </div>
</div>